Bug Hunting Session
Bug 33333 - 3D transitions should use the final state of the leaving slide
Summary: 3D transitions should use the final state of the leaving slide
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 30495 (view as bug list)
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2011-01-21 05:48 UTC by Ibrahim A. Mohamed
Modified: 2017-05-31 22:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Minimum example to demonstrate "fade smoothly" issue (10.50 KB, application/vnd.oasis.opendocument.presentation)
2013-03-23 12:49 UTC, jowi-fs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ibrahim A. Mohamed 2011-01-21 05:48:56 UTC
After I have installed the ogltrans package, some transitions like "Fade smoothly" or other fade transitions are not working properly. I tried removing it, then it worked just fine, but when I install it, transitions don't work properly again.
Comment 1 Noel Power 2011-01-21 12:01:31 UTC
thorsten, impress & slideshow is your area of expertise I think
Comment 2 David Tardon 2013-02-26 04:56:59 UTC
Could you retest with 4.0, please?
Comment 3 jowi-fs 2013-03-23 12:49:24 UTC
Created attachment 76939 [details]
Minimum example to demonstrate "fade smoothly" issue

Tested and confirmed with LibO 4.0.1.2

Steps to reproduce:
Open the attatched file
Run presentation mode: a red box appears
Click to start animation: a second green box appears
Click to go to second slide

Expected behavior
The red box should fade away, while the green box stays unchanged

Observed behavior
The red box fades away correctly, but the green box instantly disappears and fades in again
Comment 4 jowi-fs 2013-03-23 12:51:00 UTC
Observed as early as 3.6.1
Comment 5 David Tardon 2013-03-24 14:06:13 UTC
Apparently the OpenGL transition impl. uses the original state of the leaving slide, without object animations. This is more visible if you move the rectangle on the second slide a bit to the right or change its color.
Comment 6 Thorsten Behrens (CIB) 2013-03-25 20:17:51 UTC
drats, that is a design error. The PluginSlideChange responsible for the opengl transitions creates the slide bitmaps *at the time of creation*, instead of when the transition is run (as is the case for the built-in transitions).
Comment 7 Thorsten Behrens (CIB) 2013-06-05 15:07:50 UTC
*** Bug 30495 has been marked as a duplicate of this bug. ***
Comment 8 Thorsten Behrens (CIB) 2013-09-12 16:14:54 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 9 Joel Madero 2014-12-15 02:18:26 UTC
Verified on:
Ubuntu 14.04 x64
Version: 4.5.0.0.alpha0+
Build ID: 8b65be4740f4349b769a8709867e0cc32d93686d
Locale: en_US

Also:
Ubuntu 14.04 x64
LibreOffice 3.3 (Inherited from OOo, updating as version is oldest version verified on)

Updating version also as per: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Minor - it's noticeable but it does not prevent high quality work, it's also gotten better over time (4.5 vs. 3.3 is quite noticeable improvement)
Low - default for minor bugs.

@Ibrahim - thanks so much for your continued patience. LibreOffice is powered by a team of volunteers who give thousands of hours at no cost. We'll continue to try to address this in the future.
Comment 10 QA Administrators 2015-12-20 16:21:02 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-01-03 19:51:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103